Subject: bug#44636: closed (Re: bug#44636: Misleading documentation)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 18 Nov 2020 03:58:02 +0000

Your bug report

#44636: Misleading documentation

which was filed against the dejagnu package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44636: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44636
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44636: Misleading documentation
From: Jacob Bachmeyer <[email-masked]>
To: Robert Menteer <[email-masked]>, Robert Menteer via Bug-dejagnu <[email-masked]>
Cc: [email-masked]
Date: Tue, 17 Nov 2020 21:56:55 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Robert Menteer via Bug-dejagnu via wrote:
> In section 4.2.2 of the info manual for DejaGnu it suggests to create 
> a subdirectory config then create a tool init file in it. If I copy 
> the unix.exp example to /…/testsuite/config/tool.exp runtool does not 
> appear to read it.

You are correct that this is wrong; the manual is conflating tool init 
files and target interface files here.

> Looking around the web I found a mention of placing the init file in 
> /…/testsuite/lib/.

This is correct; the manual has been corrected in commit 
9950000f4ec0f6cd2c5afbc8ec5413391c20a535.

Closing as now fixed.

-- Jacob

Subject: Misleading documentation
From: Robert Menteer <[email-masked]>
To: Robert Menteer via Bug-dejagnu <[email-masked]>
Date: Sat, 14 Nov 2020 11:14:13 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

In section 4.2.2 of the info manual for DejaGnu it suggests to create a subdirectory config then create a tool init file in it. If I copy the unix.exp example to /…/testsuite/config/tool.exp runtool does not appear to read it. Looking around the web I found a mention of placing the init file in /…/testsuite/lib/. This does seem to work as I get the following output:

Using ./lib/FlDist.exp as tool init file.

Another problem with the example init file in that same section is the expect statement:

global ${examplename}

This causes the following error:

ERROR: tcl error sourcing tool init file ./lib/FlDist.exp.
can't read "examplename": no such variable

The problem with the documentation is not that it uses examplename in it’s example but there is nothing explaining how to modify examplename to fit the tool. This is in contrast to naming files which is explained in the manual.

Thanks,
Bob Menteer